import { adjectiveList } from "./adjectives";
import { animaList } from "./animals";
import { colorList } from "./colors";

export function randomAnimal() {
    return rand_value_from_array(animaList);
}
export function randomAdjective() {
    return rand_value_from_array(adjectiveList);
}
export function randomColor() {
    return rand_value_from_array(colorList);
}

const rand_value_from_array = (data: string[]): string => {
    return data[Math.floor(Math.random() * data.length)];
};
